2008-03-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.93 released.

2008-03-12  Ville Skyttä  <scop@xemacs.org>

	* lisp/mm-decode.el (mm-display-external): Use `itimer-list' if
	`timer-list' is not available.

2008-01-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.92 released.

2007-12-24  Aidan Kehoe  <kehoea@parhasard.net>

	* lisp/gnus-sum.el:
	* lisp/gnus-sum.el (put-display-table): New.
	* lisp/gnus-sum.el (get-display-table): New.
	Provide with #'defun-when-void, so as to not override the 21.5
	implementation. 
	* lisp/gnus-sum.el (gnus-summary-set-display-table):
	* lisp/gnus-xmas.el (gnus-xmas-summary-set-display-table):
	Use #'put-display-table, not #'aref, to deal with the case where
	the display table is a char table and not a vector. 

2007-03-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.91 released.

2007-03-05  Mike Kupfer  <mike.kupfer@xemacs.org>

	* lisp/gnus-spec.el (gnus-parse-simple-format): Add required 2nd
	  argument to (setq dontinsert), using the fix from the HEAD
	  branch at gnus.org. 

	* Makefile (AUTHOR_VERSION): Change to 5.10.8.
	  (MAINTAINER): Change from Steve Youngs to me.

	* Sync with upstream stable branch.
	Please see the ChangeLog.upstream files for details.

2006-03-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.90 released.

2006-03-16  Steve Youngs  <steve@sxemacs.org>

	* Sync with upstream stable branch.
	Please see the ChangeLog.upstream files for details.

2006-01-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.89 released.

2006-01-04  Steve Youngs  <steve@sxemacs.org>

	* Sync with upstream stable branch.
	Please see the ChangeLog.upstream files for details.

2005-12-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.88 released.

2005-12-19  Steve Youngs  <steve@sxemacs.org>

	* Sync with upstream stable branch.
	Please see the ChangeLog.upstream files for details.

2005-11-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.87 released.

2005-11-15  Steve Youngs  <steve@sxemacs.org>

	* Sync with upstream stable branch.
	Please see the ChangeLog.upstream files for details.

2005-10-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.86 released.

2005-04-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.85 released.

2005-04-03  Steve Youngs  <steve@sxemacs.org>

	* lisp/gnus-sum.el (gnus-summary-make-menu-bar): Fix an
	"unrecognised menu descriptor" error.
	From Katsumi Yamaoka  <yamaoka@jpl.org>

2005-03-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.84 released.

2005-03-19  Aidan Kehoe  <kehoea@parhasard.net>

 	* lisp/mm-util.el (mm-xemacs-find-mime-charset): Only call
 	mm-xemacs-find-mime-charset-1 if we have the mule feature
 	available at runtime. 

2005-03-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.83 released.

2005-03-14  Aidan Kehoe  <kehoea@parhasard.net>

	* lisp/mm-util.el (mm-coding-system-priorities): Healthier default
	with non-Japanese language environments. 

2005-03-13  Steve Youngs  <steve@sxemacs.org>

	* lisp/gnus-util.el (gnus-emacs-version): Support SXEmacs in
	`gnus-extended-version'.

2005-03-13  Steve Youngs  <steve@sxemacs.org>

	* lisp/gnus.el: Don't try and mark `gnus-agent-save-groups' as an
	autoloaded function.
	From: Andrey Slusar <anrays@gmail.com>.

2005-03-13  Steve Youngs  <steve@sxemacs.org>

	* Sync to upstream 5.10 branch.
	See ChangeLog.upstream files for details.

	* Makefile (AUTHOR_VERSION): Bump to 5.10.7

2004-10-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.82 released.

2004-09-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.81 released.

2004-09-28  Steve Youngs  <steve@youngs.au.com>

	* Sync to upstream 5.10 branch.
	See ChangeLog.upstream files for details.

2004-06-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.80 released.

2004-06-07  Steve Youngs  <steve@youngs.au.com>

	* Makefile (MAINTAINER): Update my email address.

	* Sync to upstream 5.10 branch.
	Upstream Gnus has branched off a 5.10 series (there is talk of a
	5.10.7 release some time).  This syncs our package to that.  See
	the ChangeLog.upstream files for details.

	* lisp/gnus-idna.el: Removed.
	Unfortunately there is no mention of this in the upstream
	ChangeLogs. 

2004-01-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.79 released.

2004-01-26  Jerry James  <james@xemacs.org>

	* lisp/gnus-spec.el (gnus-parse-simple-format): Fix setq value
	omission.

2004-01-17  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.78 released.

2004-01-16  Steve Youngs  <sryoungs@bigpond.net.au>

	* lisp/gnus.el: Autoload `message-y-or-n-p' 

2004-01-12  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.77 released.

2004-01-12  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (DONTCOMPILE): Add _pkg.el, auto-autoloads.el, and
	custom-load.el to prevent circular dependencies and double files
	in the tarballs.

2004-01-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.76 released.

2004-01-05  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (AUTHOR_VERSION): Gnus 5.10.6 is released.
	See the ChangeLog.upstream files for details.

2003-12-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.75 released.

2003-12-08  Steve Youngs  <sryoungs@bigpond.net.au>

	* lisp/lpath.el: Maybe bind `with-timeout'.

	* lisp/dgnushack-xemacs.el: Defalias `match-string-no-properties'
	to `match-string'.

	* Makefile (DONTCOMPILE): Add gpg*.el.
	(REQUIRES): Remove rmail, tm, and apel.

2003-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-util.el: Revert 2003-11-29 change, instead, provide the
	compiler macro for rmail-select-summary if rmail is not available.

2003-12-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.74 released.

2003-12-03  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (REQUIRES): Remove fsf-compat, add ps-print.
	(LISPFILES): Removed.
	(DONTCOMPILE): New.  For any lisp that shouldn't be compiled.
	(ELCS): Use it.
	(PRELOADS): New.  Preload lisp/dgnushack-xemacs.el & lisp/lpath.el

	* lisp/dgnushack.el: New.  We don't do anything with this file,
	it's only here because it exists in the upstream tree.

	* lisp/dgnushack-xemacs.el: New.  XEmacs package version of
	above. 

	* lisp/lpath.el: New.  From upstream tree.

2003-11-29  Jerry James  <james@xemacs.org>

	* lisp/gnus-util.el: Get rmail definitions when compiling.
	* lisp/gnus-xmas.el: Add autoloads for macros defined in gnus.el.

2003-12-01  Steve Youngs  <sryoungs@bigpond.net.au>

	* lisp/mm-url.el: Require itimer when building with XEmacs.

	* lisp/gpg.el: Ditto.

2003-10-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.73 released.

2003-10-12  Adrian Aichner  <adrian@xemacs.org>

	* texi/gnus.texi: General typo and whitespace fixes from gnus CVS,
	carefully avoiding syncing documentation of new features.
	* texi/gnus.texi (Mail Source Specifiers): uref fixes.

2003-10-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.72 released.

2003-10-09  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (MAINTAINER): Update my email address.

2003-05-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.71 released.

2003-05-18  Vin Shelton  <acs@xemacs.org>

    * Makefile (REQUIRES): Add sasl.

2003-05-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.70 released.

2003-05-14  Steve Youngs  <youngs@xemacs.org>

	* Sync to upstream version 5.10.2
	See the ChangeLog.upstream files for details.

	* Makefile (AUTHOR_VERSION): Bump.

2003-05-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.69 released.

2003-05-02  Steve Youngs  <youngs@xemacs.org>

	* Sync to upstream version 5.10.1.
	See the ChangeLog.upstream files for details of changes.

	* Makefile (AUTHOR_VERSION): Bump to 5.10.1.
	(REQUIRES): Add pgg, net-utils, os-utils, dired, sieve.
	(EXTRA_SOURCES): Add the upstream ChangeLogs.
	(DATA_2_FILES): Add the .pbm files.
	(DATA_4_FILES): Removed.
	(DATA_4_DEST): Removed.
	(DATA_5_FILES): Removed.
	(DATA_5_DEST): Removed.
	(EXTRA_TEXI_FILES): Remove 'gnusmail.texi', add
	'doclicense.texi'. 

	* package-info.in (provides): Update to include all provides.

2003-03-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.68 released.

2003-03-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (MAINTAINER): Put my name there.
	(LISPFILES): The directory is now 'lisp/' not gnus/lisp/'.
	(EXTRA_SOURCES): Ditto.
	(DATA_5_FILES): Ditto.
	(EXPLICIT_DOCS): Ditto.
	(EXTRA_TEXI_FILES): Ditto.
	(AUTOLOAD_PATH): Ditto.
	(DATA_4_DEST): Put these files into etc/gnus/gnusrefcard/.
	(DATA_5_DEST): Put these files into etc/gnus/.
	(EXTRA_SOURCES): Add lisp/GNUS-NEWS.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use EXPLICIT_DOCS instead of explicitly giving the targets
	and dependencies.  Specify EXTRA_TEXI_FILES.

2003-03-02  Norbert Koch  <nk@viteno.net>

	* Makefile (VERSION): XEmacs package 1.67 released.

	* Makefile (VERSION): XEmacs package 1.66 released.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.65 released.

2002-12-17  Jerry James  <james@xemacs.org>

	* Makefile (REQUIRES): Add tm and apel to satisfy transitive
	dependencies from rmail.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.
	(.PHONY): Remove srckit.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUALS): Removed (unused).

2002-09-26  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.64 released.

2002-09-25  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.63 released.

2002-09-17  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add ecrypto, we'll use md5 from there.
	(EXTRA_SOURCES): New, add gnus/lisp/md5.el.upstream.
	* package-info.in (provides): Remove md5.

2002-06-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.62 released.

2002-06-08  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.61 released.

2002-05-10  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.60 released.

2002-05-07  Jerry James  <james@xemacs.org>

	* etc/gnusrefcard/Makefile: Synch with last maintainer version.
	* etc/gnusrefcard/README: Ditto.
	* etc/gnusrefcard/gnusref.tex: Ditto.

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.59 released.

2002-03-17  Adrian Aichner  <adrian@xemacs.org>

	* gnus/texi/Makefile: New file.
	* gnus/texi/Makefile: include .../XEmacs.rules for generic HTML
	rules.
	* gnus/texi/Makefile (HTML_FILES): Moved here from ../../Makefile.
	* gnus/texi/Makefile (HTML_DEP): Ditto.

2002-03-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile: Add html rule to invoke gnus/texi/Makefile.

2002-01-13  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update to include all provides.

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2001-08-29  Don Pellegrino  <udpelleg@speakeasy.net>

	* ./gnus/lisp/gnus-msg.el (gnus-inews-do-gcc): Don't use
	'gnus-alive-p". 

2001-06-06  Mark Thomas  <mthomas@edrc.cmu.edu>

	* nnmail.el (nnmail-fix-eudora-headers): Change the In-Reply-To
	fix so it works with older versions of XEmacs.

2001-02-14  Steve Youngs  <youngs@xemacs.org>

	* gnus-win.el: (gnus-configure-windows). Use 'switch-to-buffer' instead
	of 'set-buffer' if featurep 'xemacs.
	(gnus-remove-some-windows): Ditto.

2001-02-08  Steve Youngs  <youngs@xemacs.org>

	* Sync with author version 5.8.8.

2000-11-08  Steve Youngs  <youngs@xemacs.org>

	* ./gnus/lisp/custom-load.el: Removed - generated file.

	* ./gnus/lisp/rfc2104.el: Moved to mail-lib package.

2000-11-07  Martin Buchholz <martin@xemacs.org>

	* ./gnus/texi/gnus.texi: Doc fix.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-09-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile: Bring into line with author version 5.8.7 
	(LISPFILES): New variable.
	(ELCS): Use LISPFILES.
	(DATA_FILES): Use wildcards.

2000-08-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile: Remove target 'clean' because it's covered in XEmacs.rules
	(REQUIRES): Add fsf-compat

2000-07-10  Andreas Jaeger  <aj@suse.de>

	* Imported version 5.8.7.

	* Makefile (ELCS): Added new files.
	(TEXI_FILES): Added new files.
	(REQUIRES): Remove apel and tm since those are not needed
	anymore.
 	(MANUALS): Added emacs-mime.
 	(INFO_FILES): Added emacs-mime.
	(AUTHOR_VERSION): Updated.

2000-02-13  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* Makefile (DATA_2_FILES): Install etc/smilies/*.x?m instead of
	only *.xpm.
	From Yoshiaki Kasahara <kasahara@nc.kyushu-u.ac.jp>

2000-01-07  Andreas Jaeger  <aj@suse.de>

	* Makefile: Removed mailheader.el.

	* gnus/gnus/lisp/mailheader.el: Moved to package mail-lib in
	for Gnus 5.8.x usage.

1999-12-05  Andreas Jaeger  <aj@suse.de>

	* Makefile (REQUIRES): Add eterm.
	Patch by Jan Vroonhof <vroonhof@math.ethz.ch>. 

1999-03-12  Charles G Waldman  <cgw@fnal.gov>

	* Makefile: install gnus-tut.txt

1999-02-17  SL Baur  <steve@xemacs.org>

	* Gnus' version of pop3.el is no longer used by XEmacs.

1998-09-25  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.44.

1998-09-05  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.43.

1998-08-28  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.42.

1998-08-27  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.41.
	* Synch with Gnus-5.6.40.

1998-08-22  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.39.

1998-08-19  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.38.

1998-08-14  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.36.
	* Synch with Gnus-5.6.35.

1998-08-13  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.34.

1998-08-11  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.33.

1998-08-09  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.31.

1998-08-06  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.29.

1998-07-26  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.27.

1998-07-24  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.25.

1998-07-06  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.23.

1998-06-29  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.22.

1998-06-27  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.20+gnus.texi patch.

1998-06-26  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.16+Karl Kleinpaste patch.

1998-06-24  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.13.

1998-06-01  SL Baur  <steve@altair.xemacs.org>

	* Synch with Gnus-5.6.10.

1998-04-06  SL Baur  <steve@altair.xemacs.org>

	* Makefile (binkit): Use TAR/EXCLUDES variables from XEmacs.rules.

1998-03-31  SL Baur  <steve@altair.xemacs.org>

	* Synch with gnus-5.6.4.

1998-03-19  SL Baur  <steve@altair.xemacs.org>

	* Synch with gnus-5.6.3.

1998-03-08  SL Baur  <steve@altair.xemacs.org>

	* Synch with gnus-5.6.2.

1998-03-07  SL Baur  <steve@altair.xemacs.org>

	* Synch with gnus-5.6.1.

1998-02-28  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.34.

1998-02-23  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.32.

1998-02-16  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.28.

1998-02-15  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.27.

1998-02-14  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.26.

1998-02-13  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.25.

1998-02-11  SL Baur  <steve@altair.xemacs.org>

	* Synch with qgnus-0.24.

1998-01-25  SL Baur  <steve@altair.xemacs.org>

	* gnus/lisp/auto-autoloads.el: Restore.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.
